get_archive <- function(recipe) {
  if (tolower(recipe$Analysis$Horizon) == "seasonal") {
    archive <- 
      read_yaml(paste0("conf/archive_seasonal.yml"))[[recipe$Run$filesystem]]
  } else if (tolower(recipe$Analysis$Horizon) == "subseasonal") {
    archive <-
      read_yaml(paste0("conf/archive_subseasonal.yml"))[[recipe$Run$filesystem]]
  } else {
    archive <- 
      read_yaml(paste0("conf/archive_decadal.yml"))[[recipe$Run$filesystem]]
  }
  archive_ref <- read_yaml(paste0("conf/archive_reference.yml"))[[recipe$Run$filesystem]]
  archive$Reference <- archive_ref$Reference
  archive$src_ref <- archive_ref$src_ref
  ## TODO: Add dictionary filesystem dependency?
  # dict <- read_yaml("conf/variable-dictionary.yml")
  return(archive)
}
